#ifndef _samples_h
#define _samples_h

#include <stdlib.h>
#include <stdio.h>

typedef struct _sample{
	//TODO
	// Je propose un truc, mais c'est à Quentin de le compléter,
	// voire de le changer complètement.
	char[] son; // contient le nom du fichier WAV (qui sera placé dans le sous-dossier samples)
	char[] nom; // juste un nom pour qu'on puisse humainement identifier le sample
	// Infos relatives au resampling
	unsigned long int deb; // numéro de l'échantillon de début
	unsigned long int fin; // numéro de l'échantillon de fin
	float hauteur_ref; // fréquence de la hauteur du sample à l'état brut (sans repitching)
	char fichier; // vaut 1 si le sample doit être ajouté au projet lors de la prochaine sauvegarde, 0 sinon.
} Sample;

typedef Sample* Tab_samples[];

void ajouterSample(Tab_samples tab[], int i, char chemin[]);

void setResampling(Sample* sample, int deb, int fin);

void setNom(Sample* sample, char[] nom);

void setHauteur(Sample* sample, float hauteur);

unsigned long int getDeb(Sample* sample);

unsigned long int getFin(Sample* sample);

char[] getNom(Sample* sample);

float getHeuteur(Sample* sample);

#endif
